import request from '@/utils/request'

// 查询打卡记录列表
export function listCheckRecord(query) {
  return request({
    url: '/attendance/checkRecord/list',
    method: 'get',
    params: query
  })
}

// 查询打卡记录详细
export function getCheckRecord(id) {
  return request({
    url: '/attendance/checkRecord/' + id,
    method: 'get'
  })
}

// 新增打卡记录
export function addCheckRecord(data) {
  return request({
    url: '/attendance/checkRecord',
    method: 'post',
    data: data
  })
}

// 修改打卡记录
export function updateCheckRecord(data) {
  return request({
    url: '/attendance/checkRecord',
    method: 'put',
    data: data
  })
}

// 删除打卡记录
export function delCheckRecord(id) {
  return request({
    url: '/attendance/checkRecord/' + id,
    method: 'delete'
  })
}
